Package org.apache.sysds.runtime.instructions.spark

# Class ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction2

java.lang.Object
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction2

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

public static class ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction2 extends Object implements org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>
Similar to RDDMapGroupedAggFunction but single output block.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDMapGroupedAggFunction2(PartitionedBroadcast<MatrixBlock> pbm, Operator op, int ngroups)`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDMapGroupedAggFunction2

public RDDMapGroupedAggFunction2(PartitionedBroadcast<MatrixBlock> pbm, Operator op, int ngroups)

## Method Details

### call

public MatrixBlock call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixBlock>`
Throws:
  `Exception`